## tofi 0.5.0

=== meson_options.txt ===
option('man-pages', type: 'feature', value: 'auto', description: 'Install man pages.')

## tofi 0.1.1

=== debian/changelog ===
tofi (0.1.1-2) unstable; urgency=medium

  * Source only upload.
  * Add copyright for src/wlr-layer-shell-unstable-v1.h

 -- Birger Schacht <birger@debian.org>  Sun, 10 Jul 2022 14:26:28 +0200

tofi (0.1.1-1) unstable; urgency=medium

  * Initial packaging (Closes: #1014591)

 -- Birger Schacht <birger@debian.org>  Fri, 08 Jul 2022 13:52:06 +0200

=== debian/control ===
Source: tofi
Section: x11
Priority: optional
Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
Uploaders: Birger Schacht <birger@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 meson,
 ninja-build,
 pkgconf,
 libfreetype-dev,
 libharfbuzz-dev,
 libcairo2-dev,
 libpango1.0-dev,
 libwayland-dev,
 libxkbcommon-dev,
 scdoc,
 wayland-protocols
Standards-Version: 4.6.1.0
Homepage: https://github.com/philj56/tofi
Vcs-Browser: https://salsa.debian.org/swaywm-team/tofi
Vcs-Git: https://salsa.debian.org/swaywm-team/tofi.git
Rules-Requires-Root: no

Package: tofi
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: fast and simple dmenu / rofi replacement for wlroots-based Wayland compositors
 An extremely fast and simple dmenu / rofi replacement for wlroots-based
 Wayland compositors such as Sway. When configured correctly, tofi can get on
 screen within a single frame.

## tofi 0.5.0

=== debian/changelog ===
tofi (0.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Sun, 21 Aug 2022 16:14:47 +0200

tofi (0.4.0-1) unstable; urgency=medium

  * New upstream release
  * Drop debian/patches/0001-librt.patch (included upstream)

 -- Birger Schacht <birger@debian.org>  Sun, 07 Aug 2022 18:17:55 +0200

## tofi 0.6.0

=== debian/changelog ===
tofi (0.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Fri, 09 Sep 2022 12:36:20 +0200

## tofi 0.7.0

=== debian/changelog ===
tofi (0.7.0-1) unstable; urgency=medium

  * New upstream release
  * Remove extra license file

  [ Fabian Grünbichler ]
  * d/control: correctly version meson

 -- Birger Schacht <birger@debian.org>  Wed, 02 Nov 2022 11:48:06 +0100

## tofi 0.8.1

=== debian/changelog ===
tofi (0.8.1-1) unstable; urgency=medium

  * New upstream version

 -- Birger Schacht <birger@debian.org>  Tue, 29 Nov 2022 15:04:40 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Birger Schacht <birger@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- meson,
+ meson (>= 0.61),
  ninja-build,
  pkgconf,
  libfreetype-dev,

## tofi 0.9.1

=== debian/changelog ===
tofi (0.9.1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:25:46 +1100

tofi (0.9.1-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:09:42 +0000

tofi (0.9.1-2) unstable; urgency=medium

  * Backport patch to fix tests on 32bit systems

 -- Birger Schacht <birger@debian.org>  Sat, 24 Jun 2023 09:07:45 +0200

tofi (0.9.1-1) unstable; urgency=medium

  * New upstream release
  * d/copyright:
   + replace code with protocol xml files
   + bump copyright years
  * d/control: bump standards version (no changes required)

 -- Birger Schacht <birger@debian.org>  Fri, 23 Jun 2023 19:45:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tofi
 Section: x11
 Priority: optional
-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders: Birger Schacht <birger@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -16,7 +17,7 @@
  libxkbcommon-dev,
  scdoc,
  wayland-protocols
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/philj56/tofi
 Vcs-Browser: https://salsa.debian.org/swaywm-team/tofi
 Vcs-Git: https://salsa.debian.org/swaywm-team/tofi.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DH_OPTIONS=-v

include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson

execute_after_dh_auto_install:
	rm -rf debian/tofi/usr/share/licenses

=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag" \
https://github.com/philj56/tofi refs/tags/v?(\d\S+)
